diff mbox series

[ima-evm-utils] ci: EOL CentOS Stream 8 and CentOS 7

Message ID 20240627192021.5075-1-zohar@linux.ibm.com (mailing list archive)
State New
Headers show
Series [ima-evm-utils] ci: EOL CentOS Stream 8 and CentOS 7 | expand

Commit Message

Mimi Zohar June 27, 2024, 7:20 p.m. UTC
Remove CentOS Stream 8 and CentOS 7, which reached End of Life (EOL) on
on May 31, 2024 and June 30, 2024 respectively.  Replace with CentOS
Stream 9.

tpm2-tss, tpm2-tss-devel and tss2-devel packages do not exist on
CentOS stream 9.  Differentiate between Fedora and CentOS.

Signed-off-by: Mimi Zohar <zohar@linux.ibm.com>
---
 .github/workflows/ci.yml |  4 ++--
 .travis.yml              |  6 +-----
 ci/fedora.sh             | 17 +++++++++++------
 ci/quay.io.sh            |  1 +
 4 files changed, 15 insertions(+), 13 deletions(-)
 create mode 120000 ci/quay.io.sh
diff mbox series

Patch

diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index 71fcaaeb3061..2144990f1793 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -160,9 +160,9 @@  jobs:
               TST_KERNEL: ../linux
               TST_EVM_CHANGE_MODE: 1
 
-          - container: "centos:7"
+          - container: "quay.io/centos/centos:stream9"
             env:
-              CC: gcc
+              CC: clang
               TSS: tpm2-tss
 
           - container: "debian:testing"
diff --git a/.travis.yml b/.travis.yml
index b8876f45333b..b69073883087 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -56,11 +56,7 @@  matrix:
           compiler: clang
 
         - os: linux
-          env: DISTRO=centos:7 TSS=tpm2-tss CONTAINER=podman CONTAINER_ARGS="--runtime=/usr/bin/crun --network=host"
-          compiler: gcc
-
-        - os: linux
-          env: REPO="quay.io/centos/" DISTRO="${REPO}centos:stream8" TSS=tpm2-tss CONTAINER=podman CONTAINER_ARGS="--runtime=/usr/bin/crun --network=host"
+          env: REPO="quay.io/centos/" DISTRO="${REPO}centos:stream9" TSS=tpm2-tss CONTAINER=podman CONTAINER_ARGS="--runtime=/usr/bin/crun --network=host"
           compiler: clang
 
         - os: linux
diff --git a/ci/fedora.sh b/ci/fedora.sh
index 44fd956ab075..10d4256bb957 100755
--- a/ci/fedora.sh
+++ b/ci/fedora.sh
@@ -7,12 +7,17 @@  if [ -z "$CC" ]; then
 	exit 1
 fi
 
-case "$TSS" in
-ibmtss) TSS="tss2-devel";;
-tpm2-tss) TSS="tpm2-tss-devel";;
-'') echo "Missing TSS!" >&2; exit 1;;
-*) echo "Unsupported TSS: '$TSS'!" >&2; exit 1;;
-esac
+# Neither tss2-devel nor tpm2-tss-devel exist on CentOS stream 9
+if [ -f /etc/centos-release ]; then
+	TSS="$TSS"
+else
+	case "$TSS" in
+	ibmtss) TSS="tss2-devel";;
+	tpm2-tss) TSS="tpm2-tss-devel";;
+	'') echo "Missing TSS!" >&2; exit 1;;
+	*) echo "Unsupported TSS: '$TSS'!" >&2; exit 1;;
+	esac
+fi
 
 # ibmswtpm2 requires gcc
 [ "$CC" = "gcc" ] || CC="gcc $CC"
diff --git a/ci/quay.io.sh b/ci/quay.io.sh
new file mode 120000
index 000000000000..1479a43e04ed
--- /dev/null
+++ b/ci/quay.io.sh
@@ -0,0 +1 @@ 
+fedora.sh
\ No newline at end of file